Subject: Re: [PATCH] log: add log.follow config option

From: David Turner <[email-masked]>
Date: Thu, 02 Jul 2015 14:43:37 -0400

On Wed, 2015-07-01 at 14:19 -0700, Junio C Hamano wrote:
> Matthieu Moy <[email-masked]> writes:
> 
> > So activating --follow for all "git log" calls would prevent log from
> > being used with several pathspecs.
> >
> > Or, do you have a preparation patch that allows --follow with multiple
> > pathspecs? ;-)
> >
> > In any case, you have to test "git log -- path1 path2" with the option
> > activated.
> 
> Or more commonly, just "git log" with no pathspec.
> 
> I also think that it is a bad idea to force "log --follow" to people
> before it is made into a true feature; as it stands, it is merely a
> "checkbox" item.  It has too severe limitation to be used seriously
> in real projects, unless your history is completely linear.
> 
> cf.
> 
>   http://thread.gmane.org/gmane.comp.version-control.git/269357/focus=269433

Thanks.

Twitter's history is almost completely linear, so it's useful for us.  

Since it looks like the patch won't be useful outside of our context,
I'll just rewrite it to check the pathspec count, and not upstream it
until follow becomes more general.